Module | ActionController::Assertions::ResponseAssertions
In: | lib/action_controller/assertions/response_assertions.rb

A small suite of assertions that test responses from Rails applications.

### Methods

assert_redirected_to assert_response assert_template

### Public Instance methods

assert_redirected_to(options = {}, message=nil)

Assert that the redirection options passed in match those of the redirect called in the latest action. This match can be partial, such that assert_redirected_to(:controller => "weblog") will also match the redirection of redirect_to(:controller => "weblog", :action => "show") and so on.

#### Examples

      # assert that the redirection was to the "index" action on the WeblogController
      assert_redirected_to :controller => "weblog", :action => "index"

      # assert that the redirection was to the named route login_url
      assert_redirected_to login_url

assert_response(type, message = nil)

Asserts that the response is one of the following types:

- `:success` - Status code was 200
- `:redirect` - Status code was in the 300-399 range
- `:missing` - Status code was 404
- `:error` - Status code was in the 500-599 range

You can also pass an explicit status number like assert_response(501) or its symbolic equivalent assert_response(:not_implemented). See ActionController::StatusCodes for a full list.

#### Examples

      # assert that the response was a redirection
      assert_response :redirect

      # assert that the response code was status code 401 (unauthorized)
      assert_response 401

assert_template(expected = nil, message=nil)

Asserts that the request was rendered with the appropriate template file.

#### Examples

      # assert that the "new" view template was rendered
      assert_template "new"

[Validate]